Skip to main content
POST
Create workflow

Authorizations

Authorization
string
header
required

API key passed as an Authorization Bearer token: Authorization: Bearer YOUR_API_KEY

Body

application/json
name
string
required

Human-readable workflow name. Required.

Example:

"My Workflow"

definition
object

Workflow DSL (steps, input_schema, metadata) as a JSON object.

Example:

Response

Workflow created

The created workflow (summary fields + its versions).

workflow_id
string
Example:

"wf_abc123"

slug
string
Example:

"my-workflow"

name
string
Example:

"My Workflow"

categories
string[]
Example:
tags
string[]
Example:
status
string
Example:

"active"

trigger_count
integer
Example:

0

clone_count
integer
Example:

0

is_public
boolean
Example:

false

production
boolean
Example:

false

created_at
string<date-time>
updated_at
string<date-time>
versions
object[]
Last modified on July 27, 2026